##########################################################################
# FVWM - F? Virtual Window Manager, Version 2.x (fvwm2) Configuration File
#

dnl The file is in m4 format, use FvwmM4 module to read it
dnl like this: ModuleSynchronous FvwmM4 -lock main.m4

dnl This is to prevent FvwmM4 to shadow $HOME
undefine(`HOME')

dnl Echo dimension
`#' width = WIDTH

divert(-1)
dnl koi8-r Fonts
dnl define(`SMALL_FONT_KOI8', `-*-fixed-medium-r-normal-*-*-100-*-*-*-*-koi8-r')
dnl define(`MEDIUM_FONT_KOI8', `-*-fixed-medium-r-normal-*-*-120-*-*-*-*-koi8-r')
dnl define(`BIG_FONT_KOI8', `-*-fixed-medium-r-normal-*-*-140-*-*-*-*-koi8-r')

dnl cp1251 Fonts
dnl define(`SMALL_FONT_CP1251', `-*-fixed-medium-r-normal-*-*-100-*-*-*-*-*-cp1251')
dnl define(`MEDIUM_FONT_CP1251', `-*-fixed-medium-r-normal-*-*-120-*-*-*-*-*-cp1251')
dnl define(`BIG_FONT_CP1251', `-*-fixed-medium-r-normal-*-*-140-*-*-*-*-*-cp1251')

dnl define(`XBUFFY_FONT', `-cronyx-helvetica-bold-r-*-*-*-100-*-*-*-*-koi8-r')


dnl TrueType Fonts
define(`VERY_SMALL_FONT', `xft:Sans:size=10')
define(`SMALL_FONT', `xft:Sans:size=12')
define(`MEDIUM_FONT', `xft:Sans:size=14')
define(`BIG_FONT', `xft:Sans:size=16')
define(`LARGE_FONT', `xft:Sans:size=18')
define(`HUGE_FONT', `xft:Sans:size=20')
define(`GIGANTIC_FONT', `xft:Sans:size=22')

dnl Bold TT fonts
define(`SMALL_BOLD_FONT', SMALL_FONT`:Bold')
define(`MEDIUM_BOLD_FONT', MEDIUM_FONT`:Bold')
define(`BIG_BOLD_FONT', BIG_FONT`:Bold')

define(`TITLE_FONT', MEDIUM_FONT)
define(`ICON_FONT', LARGE_FONT)

dnl Font and geometry aliases that depend on whether the screen resolution is
dnl 800x600, 1024x768 or 1920x1200

define(`PAGER_GEOM',
ifelse(eval(WIDTH < 1024), 1, `365x100+0+0',
       eval(WIDTH < 1920), 1, `365x100+0+0', `600x160+0+0'))

define(`SMALL_PAGER_FONT', ifelse(eval(WIDTH < 1920), 1, VERY_SMALL_FONT, SMALL_FONT))
define(`PAGER_FONT', ifelse(eval(WIDTH < 1920), 1, SMALL_FONT, BIG_FONT))
define(`BUTTONS_FONT', PAGER_FONT)


define(`MENU_FONT',
ifelse(eval(WIDTH < 1024), 1, BIG_FONT,
       eval(WIDTH < 1920), 1, LARGE_FONT, GIGANTIC_FONT))
define(`IDENT_FONT', MENU_FONT)
define(`WIN_LIST_FONT', MENU_FONT)
define(`ICON_BOX_FONT', MENU_FONT)


dnl XSetBg message width and font
define(`TEXT_WIDTH',
ifelse(eval(WIDTH < 1024), 1, 70,
       eval(WIDTH < 1920), 1, 75, 80))

define(`MESSAGE_FONT', `Nimbus Sans L 18')


dnl Terminal emulator
define(`TERM_GEOM',
ifelse(eval(WIDTH < 1024), 1, `80x25',
       eval(WIDTH < 1920), 1, `80x30', `80x32'))

define(`TERM_GEOM_BOTLT', TERM_GEOM`+0-0')
define(`TERM_GEOM_BOTRT', TERM_GEOM`-0-0')

define(`TERM_GEOM_BIG',
ifelse(eval(WIDTH < 1024), 1, `96x30',
       eval(WIDTH < 1920), 1, `112x32+2-0', `119x32+1-0'))


define(`TERM', `urxvt')
define(`TERM_KOI8', `Exec LC_CTYPE=ru_RU.KOI8-R exec TERM')
define(`TERM_RU_UTF8', `Exec LC_CTYPE=ru_RU.UTF-8 exec TERM -name URxvt')
define(`TERM_EN_UTF8', `Exec LC_CTYPE=en_US.UTF-8 exec TERM -name URxvt')
define(`TERM_HEB_UTF8', `Exec LC_CTYPE=he_IL.UTF-8 exec TERM -name URxvt')
define(`TERM_KOI8_BOTLT', `TERM_KOI8 -geometry TERM_GEOM_BOTLT')
define(`TERM_RU_UTF8_BOTLT', `TERM_RU_UTF8 -geometry TERM_GEOM_BOTLT')
define(`TERM_KOI8_BOTRT', `TERM_KOI8 -geometry TERM_GEOM_BOTRT')
define(`TERM_RU_UTF8_BOTRT', `TERM_RU_UTF8 -geometry TERM_GEOM_BOTRT')


define(`SSH', `cgmem_nice 300 ssh -4')

define(`REMOTE_HOST_TERM', `$1 -e SSH $2')

define(`REMOTE_HOST_TERM_TITLE', `$1 -title $3 -n $3 -e SSH $2')

define(`REMOTE_HOST_KOI8',
REMOTE_HOST_TERM_TITLE(TERM_KOI8, $1, $2))

define(`REMOTE_SCREEN_KOI8', `-t $1 exec screen -xRR -S default-koi8')
define(`REMOTE_SCREEN_UTF8', `-t $1 exec screen -xRR -S default-utf8')

define(`REMOTE_HOST_KOI8_MENU',
"$2 (koi8)" REMOTE_HOST_KOI8($1, $2))

define(`REMOTE_HOST_KOI8_BOTLT',
REMOTE_HOST_TERM_TITLE(TERM_KOI8_BOTLT, $1, $2))

define(`REMOTE_HOST_KOI8_BOTRT',
REMOTE_HOST_TERM_TITLE(TERM_KOI8_BOTRT, $1, $2))

define(`REMOTE_HOST_KOI8_BOTLT_MENU',
"$2 (koi8,btlt)" REMOTE_HOST_KOI8_BOTLT($1, $2))

define(`REMOTE_HOST_KOI8_BOTRT_MENU',
"$2 (koi8,btrt)" REMOTE_HOST_KOI8_BOTRT($1, $2))

define(`REMOTE_HOST_UTF8',
REMOTE_HOST_TERM_TITLE(TERM_RU_UTF8, $1, $2))

define(`REMOTE_HOST_UTF8_MENU',
"$2 (utf8)" REMOTE_HOST_UTF8($1, $2))

define(`REMOTE_HOST_UTF8_BOTLT',
REMOTE_HOST_TERM_TITLE(TERM_RU_UTF8_BOTLT, $1, $2))

define(`REMOTE_HOST_UTF8_BOTRT',
REMOTE_HOST_TERM_TITLE(TERM_RU_UTF8_BOTRT, $1, $2))

define(`REMOTE_HOST_UTF8_BOTLT_MENU',
"$2 (utf8,btlt)" REMOTE_HOST_UTF8_BOTLT($1, $2))

define(`REMOTE_HOST_UTF8_BOTRT_MENU',
"$2 (utf8,btrt)" REMOTE_HOST_UTF8_BOTRT($1, $2))

define(`REMOTE_HOST_KOI8_BIG',
TERM_KOI8 -geometry TERM_GEOM_BIG -title "$2" -n "$2" -e SSH "$1")

define(`REMOTE_HOST_KOI8_BIG_MENU',
"$2 (koi8)" REMOTE_HOST_KOI8_BIG($1, $2))

divert

##########################################################################
# PATH Setup
#
# Colon seperated unix directory paths for Modules, xpm files, and bitmaps
#ModulePath /usr/lib/fvwm
ImagePath /usr/share/pixmaps/fvwm:/usr/share/pixmaps:/usr/include/X11/bitmaps #:/usr/local/firefox/browser/chrome/icons/default:/usr/local/firefox/browser/icons

############################################################################
# COLORS and FONTS
#
# Set the fore and back border colors for the window that has focus
Style * HilightFore Black, HilightBack #c06077

# Set fore/back border colors for all other windows
Style * Color Black/#60a0c0

# Set colors/font for pop-up menus
# Syntax: MenuStyle forecolor backcolor shadecolor font style(fvwm/mwm)
MenuStyle * FVWM, Foreground Black, Background grey, Greyed SlateGrey, Font MENU_FONT

# Set fonts to use on title bar and icon label
Style * Font              TITLE_FONT

############################################################################
# ICON Setup
#
# If you don't want icons for some or all windows (or all of them!)
# Style * !Icon

# If you want ALL icons to follow you around the desktop (Sticky)
#Style * StickyIcon

# Auto Place Icons is a nice feature (Left Top Right Bottom)
#Style * IconBox 10 -75 -10 -0

Style * IconFont          ICON_FONT

############################################################################
# FOCUS Setup
#
# Does the window with focus control the colormap, or the one under the mouse
ColormapFocus FollowsMouse

# Uncomment this to force you to click in a window to give it focus
#Style * ClickToFocus

# default: focus follows mouse
#Style * MouseFocus
#Style * FocusFollowsMouse

# If you knock your mouse out of the term, it keeps focus while in root window
Style *           SloppyFocus

############################################################################
# MISC Setup
#
# click/release must occur in <n milliseconds to be a "click"
ClickTime 250

# if the window occupies less than n% of the screen, draw it opaque
OpaqueMoveSize 100

# Do not flip pages on the edge of the screen, but allow to move windows
EdgeScroll 0 0
EdgeResistance 10000
Style * EdgeMoveDelay 500
Style * EdgeMoveResistance 100

# MWM Emulation: Don't ignore hints for functions and transient decoration
#Style * MWMFunctions, MWMDecor, MWMButtons, MWMMenus
Style * MWMFunctions, MWMDecor, MWMButtons

# Changes the look of the "rubberband" you see when moving windows (0 - 255)
XORvalue 80

###########################################################################
# PAGER Setup
#
# set the desk top size in units of physical screen size (width x height)
DesktopSize 2 2

############################################################################
# WINDOW Placement
#
Style * PositionPlacement Center

############################################################################
# STYLE Flag Setup
#
# (decorations and window options)
# Note: Order is important!! If compatible styles are set, styles are ORed
# together. If conflicting styles are set, the last one specified is used.

# change the default width, set a global icon, and give borders to popups
Style * BorderWidth 5, HandleWidth 5, Icon unknown1.xpm
Style * DecorateTransient, ClickToFocusRaisesOff

Style "Fvwm*"           !Title, Sticky, WindowListSkip
Style "FvwmButtons"     !Handles, BorderWidth 0, Layer 2
Style "FvwmPager"       Layer 2

# Terminals
Style "*term"           Icon term.xpm
Style "*rxvt"           Icon term.xpm
Style "term-im-local"   Icon pidgin-menu.xpm
Style "term-im-remote"  Icon rcalc2.xpm
Style "term-im-*"       IconBox 630 -75 -2 -2, IconGrid 200 80
Style "term-im-*"       StartsOnPage 1 1 0, StartIconic

# Browsers' windows
Style "Certificate Manager" PositionPlacement Center
Style "*Downloads"      PositionPlacement 50-50w +5
Style "*Mozilla*"       PositionPlacement +0 -0

Style "*Chromium*"      PositionPlacement +0 -0

# IM
Style "Gajim"           PositionPlacement +0 -0
Style "* - Gajim"       MinOverlapPercentPlacement
# Pidgin
Style "Buddy List"      PositionPlacement +0 -0
Style "*Pidgin*"        MinOverlapPercentPlacement

# (S)MPlayer
Style "*MPlayer*"       Layer 6, PositionPlacement 250p 100p
Style "*mpv"            Layer 6, PositionPlacement 250p 100p

Style "*clock"          !Title, Sticky, WindowListSkip, Color Black/#40c040, NeverFocus, PositionPlacement 50-50w +1p, Layer 2
Style "emacs"           NoPPosition
Style "gxmessage"       PositionPlacement 50-50w +20
Style "*lock"           !Title, Sticky, WindowListSkip
Style "Mosaic"          NoPPosition
Style "xbiff"           Icon mail1.xpm, !Title, Sticky, WindowListSkip
Style "xcalc"           Icon xcalc.xpm
Style "xconsole"        !Title, Sticky, WindowListSkip, NeverFocus
Style "xload"           !Title, Sticky, WindowListSkip, NeverFocus
Style "xman"            Icon xman.xpm
Style "xmh"             Icon mail2.xpm
Style "xsession"        !Title, Sticky, WindowListSkip, ClickToFocus
Style "XXkb"            !Title, !Borders, Sticky, WindowListSkip, Layer 5

############################################################################
# BUTTON Setup
#

## Buttons actually being used (duplicated below)
# small up triangle
#ButtonStyle 2 4 50x35@1 65x65@0 35x65@0 50x35@1
# small down triangle
#ButtonStyle 4 4 50x65@1 35x35@1 65x35@1 50x65@0
# Stylized X
#ButtonStyle 3 16 20x20@1 30x20@1 50x40@1 70x20@1 80x20@1 80x30@0 60x50@0 80x80@0 70x80@0 50x60@0 30x80@0 20x80@0 20x70@0 40x50@1 20x30@0 20x20@1

## Triangles
#
# Small up Triangle
# ButtonStyle * 4 50x35@1 65x65@0 35x65@0 50x35@1
# Small down Triangle
#ButtonStyle * 4 50x65@1 35x35@1 65x35@1 50x65@0
# Large up Triangle
#ButtonStyle 6 4 50x25@1 75x75@0 25x75@0 50x25@1
# Large down Triangle
#ButtonStyle 8 4 50x75@1 25x25@1 75x25@1 50x75@0

## Boxes
#
# Big Box
ButtonStyle 4 5 25x25@1 25x75@1 75x75@0 75x25@0 25x25@1
# Little Box
ButtonStyle 5 5 40x40@1 60x40@1 60x60@0 40x60@0 40x40@1
# Tall Box
#ButtonStyle 7 5 40x25@1 60x25@1 60x75@0 40x75@0 40x25@1
# Dot
#ButtonStyle 5 5 45x45@1 55x45@1 55x55@0 45x55@0 45x45@1
# Big Box with arrow (left-up to right-down) to little box (iconify)
#ButtonStyle 6 14 20x20@1 20x70@1 70x70@0 70x20@0 20x20@1 60x60@0 60x50@0 60x60@0 50x60@0 60x60@0 60x80@0 80x80@0 80x60@0 60x60@0
# Big Box with arrow (right-up to left-down) to little box (iconify)
ButtonStyle 6 14 70x20@0 70x70@0 20x70@1 20x20@1 70x20@1 30x60@0 30x50@0 30x60@0 40x60@0 30x60@0 30x80@0 10x80@0 10x60@0 30x60@0

## X's
#
# Standard X
#ButtonStyle 3 17 20x20@1 30x20@1 50x40@1 70x20@1 80x20@1 80x30@0 60x50@0 80x70@1 80x80@0 70x80@0 50x60@0 30x80@0 20x80@0 20x70@0 40x50@1 20x30@0 20x20@1
ButtonStyle 2 17 20x20@1 30x20@1 50x40@1 70x20@1 80x20@1 80x30@0 60x50@0 80x70@1 80x80@0 70x80@0 50x60@0 30x80@0 20x80@0 20x70@0 40x50@1 20x30@0 20x20@1
# Funky X
#ButtonStyle 3 13 26x29@1 34x21@1 50x35@1 70x21@1 79x29@1 63x48@0 79x65@1 70x75@0 50x61@0 34x75@0 26x65@0 44x48@1 26x29@0
# Stylized X
#ButtonStyle 3 16 20x20@1 30x20@1 50x40@1 70x20@1 80x20@1 80x30@0 60x50@0 80x80@0 70x80@0 50x60@0 30x80@0 20x80@0 20x70@0 40x50@1 20x30@0 20x20@1

## Lightning Bolts
#
# Small Lightning Bolt (skinny at both ends)
#ButtonStyle 5 7 70x15@0 30x55@1 50x55@0 40x85@1 80x45@0 60x45@1 70x15@0
# Big Lighting Bolt (Fat at top, comes to a point)
#ButtonStyle 6 8 35x15@1 20x50@1 40x50@0 30x80@1 75x40@0 50x40@1 75x15@0 35x15@1

## Miscellaneous Buttons
#
# Nested Right Angles (looks kinda crappy)
#ButtonStyle 5 13 10x0@1 80x0@1 80x10@1 80x80@0 0x80@0 0x60@1 10x65@1 70x65@0 70x0@0 55x0@1 55x10@1 55x55@0 10x55@0
# Nested Right Angles (looks nice)
#ButtonStyle 6 14 0x0@1 0x20@1 20x20@0 20x0@0 0x0@1 0x25@1 25x25@1 25x0@1 55x0@1 55x55@0 0x55@0 0x60@1 60x60@1 60x0@1
# 4 Horizontal bars (sticky)
#ButtonStyle 7 12 10x23@0 90x23@0 90x28@0 10x28@1 10x47@1 90x47@0 90x52@0 10x52@1 10x70@2 90x70@0 90x76@0 10x76@1
ButtonStyle 3 12 10x23@0 90x23@0 90x28@0 10x28@1 10x47@1 90x47@0 90x52@0 10x52@1 10x70@2 90x70@0 90x76@0 10x76@1
# Expanding Windows (iconify -- looks NICE)
#ButtonStyle 8 16 60x40@1 60x80@0 15x80@0 15x40@1 60x40@1 40x40@1 40x25@1 75x25@1 75x60@0 60x60@0 75x60@0 75x40@0 85x40@0 85x15@0 60x15@1 60x25@1

## Arrows Galore
#
# Up Arrow
#ButtonStyle 3 8 40x80@1 40x50@1 20x50@1 50x20@1 80x50@0 60x50@0 60x80@0 40x80@0
# Down Arrow
#ButtonStyle 3 8 40x20@1 40x50@1 20x50@1 50x80@1 80x50@0 60x50@0 60x20@0 40x20@1
# Left arrow  ( <- )
#ButtonStyle 7 8 80x40@1 50x40@1 50x20@1 20x50@1 50x80@0 50x60@0 80x60@0 80x40@0
# Right arrow ( -> )
#ButtonStyle 8 8 20x40@1 50x40@1 50x20@1 80x50@1 50x80@0 50x60@0 20x60@0 20x40@1
# Horizontal Line with arrowheads on left and right ( <-> )
#ButtonStyle * 12 10x50@1 35x25@1 35x40@1 65x40@1 65x25@1 90x50@1 65x75@0 65x60@0 35x60@0 35x75@0 10x50@0 10x50@1
# Vertical Line with arrowheads on top and bottom
#ButtonStyle * 12 50x10@1 25x35@1 40x35@1 40x60@1 25x60@1 50x85@1 75x60@0 60x60@0 60x35@0 75x35@0 50x10@0 50x10@1
# Diagonal Line with arrowheads on top and bottom ( / )
#ButtonStyle 5 11 80x15@1 45x15@1 55x25@1 25x55@1 15x45@1 15x80@1 50x80@0 40x70@0 70x40@0 80x50@0 80x15@0
# Diagonal Line with arrowheads on top and bottom ( \ )
#ButtonStyle 6 12 55x15@0 45x25@0 75x55@0 85x45@0 85x80@0 50x80@0 60x70@1 30x40@1 20x50@1 20x15@1 55x15@1 55x15@0
#
# the number "2"
#ButtonStyle 8 12 80x80@0 22x80@0 80x40@0 70x25@0 30x25@0 20x35@0 20x30@1 30x20@1 70x20@1 80x30@1 20x75@1 80x75@1

############################################################################
# MOUSE Setup
#
# First, the root window. Button 1 brings up the Main Menu. B2 is the
# window operations list, and B3 is the winlist module
#     Button    Context Modifi  Function
Mouse 1         R       A       Menu RootMenu Nop
Mouse 2         R       A       Menu Window-Ops Nop
Mouse 3         R       A       WindowList

# Now, title bar buttons
# Left button is the Window-Ops2 menu
#     Button    Context Modifi  Function
Mouse 0         1       A       Menu Window-Ops2 Close
Mouse 0         3       A       Stick
Mouse 0         5       A       Center
# Right buttonsare iconify/maximize, rightmost is close
Mouse 0         2       A       Close
Mouse 0         4       A       Maximize toggle
Mouse 0         6       A       Iconify

# Button 1 in Frame or Sides is a resize-or-raise, in Icons is a move or
# de-iconify, and on Top does a move-or-raise
#     Button    Context Modifi  Function
Mouse 1         F       A       Resize-or-Raise
Mouse 1         S       A       Move-or-Raise
Mouse 1         I       A       Move-or-Iconify
#Mouse 1                T       A       Move-or-Raise
Mouse 1         T       A       Shadify

# Button 2 in an Icon is de-iconify, in Corners/Sides/Titlebar gets Ops Menu
#     Button    Context Modifi  Function
Mouse 2         I       A       Iconify
Mouse 2         FST     A       Menu Window-Ops2 Nop

# Button 3 does a raise-lower on anything
Mouse 3         TSIF    A       RaiseLower

############################################################################
# KEYBOARD Setup

#
# press arrow + control + meta anywhere, and scroll by 1 page
Key Left        A       CM      Scroll -100 +0
Key Right       A       CM      Scroll +100 +0
Key Up          A       CM      Scroll +0   -100
Key Down        A       CM      Scroll +0   +100

# press arrow + meta key, and scroll by 1/10 of a page
Key Left        A       M       Scroll -10   +0
Key Right       A       M       Scroll +10   +0
Key Up          A       M       Scroll  +0  -10
Key Down        A       M       Scroll  +0  +10

# press shift arrow + control anywhere, and move the pointer by 1% of a page
Key Left        A       SC      CursorMove -1  +0
Key Right       A       SC      CursorMove +1  +0
Key Up          A       SC      CursorMove +0  -1
Key Down        A       SC      CursorMove +0  +1

# press shift arrow + meta key, and move the pointer by 1/10 of a page
Key Left        A       SM      CursorMove -10  +0
Key Right       A       SM      CursorMove +10  +0
Key Up          A       SM      CursorMove +0  -10
Key Down        A       SM      CursorMove +0  +10

# Switch window, mswindows style :)
Key Tab         A       M       Next [*] focus
Key Escape      A       M       Prev [*] focus

# Goto desktop/page
Key 1           A       CM      Desk 0 0
Key 2           A       CM      Desk 0 1
Key 3           A       CM      Desk 0 2
Key 4           A       CM      Desk 0 3
Key 5           A       CM      GotoPage 0 0
Key 6           A       CM      GotoPage 1 0
Key 7           A       CM      GotoPage 0 1
Key 8           A       CM      GotoPage 1 1

#############################################################################
# START-UP Functions
#
DestroyFunc InitFunction
AddToFunc InitFunction
+              I Module FvwmBacker
+              I Module FvwmButtons
+              I Module FvwmCommandS
+              I Module FvwmPager 0 2

DestroyFunc RestartFunction
AddToFunc RestartFunction
+              I Module FvwmBacker
+              I Module FvwmButtons
+              I Module FvwmCommandS
+              I Module FvwmPager 0 2
+              I Schedule 1000 Raise-All

DestroyFunc UrgencyFunc
AddToFunc UrgencyFunc
+                             I Iconify off
+                             I ThisWindow ("*Downloads") Break
+                             I FlipFocus
+                             I Raise
+                             I WarpToWindow 5p 5p

DestroyFunc StartStandardSession
AddToFunc StartStandardSession
+              I GotoDeskAndPage 0 0 0
+              I TERM_KOI8
+              I Wait TERM
+              I GotoDeskAndPage 0 0 1
+              I TERM_RU_UTF8 -geometry 38x30+0-0
+              I Wait URxvt
+              I Exec exec cgmem_nice 200 pulseaudio --start
+              I PaVuControl
+              I Exec exec "$HOME"/current/projects/audio-cdr-video/audio/pa-mic-off
+              I XsetbgFilename
+              I Wait gxmessage
+              I GotoDeskAndPage 2 0 1
+              I TERM_KOI8 -geometry TERM_GEOM_BIG
+              I Wait TERM
+              I FireFox
+              I GotoDeskAndPage 0 1 1

DestroyFunc ResumeFunction
AddToFunc ResumeFunction
+              I GotoDeskAndPage 0 0 0
+              I TERM_KOI8
+              I Wait TERM
+              I Exec exec cgmem_nice 200 pulseaudio --start
+              I None ("Volume Control") PaVuControl
+              I Exec sleep 10; exec "$HOME"/current/projects/audio-cdr-video/audio/pa-mic-off
+              I XsetbgFilename
+              I Wait gxmessage
+              I Any ("*Mozilla Firefox") GotoDeskAndPage 0 1 1
+              I TestRc (Match) Break
+              I None ("*Mozilla Firefox") FireFox

############################################################################
# COMPLEX FUNCTIONS
#
DestroyFunc Center
AddToFunc Center                I Move 50-50w 50-50w
+                               I WarpToWindow 74p 18p

DestroyFunc Iconify-and-Raise
AddToFunc Iconify-and-Raise     I Iconify
+                               I Raise

DestroyFunc Maximize-Func
AddToFunc Maximize-Func         C Maximize     toggle
+                               D Maximize     100 100

DestroyFunc Move-or-Iconify
AddToFunc Move-or-Iconify       I Raise
+                               M Move
+                               D Iconify

DestroyFunc Move-or-Raise
AddToFunc Move-or-Raise         I Raise
+                               M Move
+                               D Lower

DestroyFunc Move-or-Raise2
AddToFunc Move-or-Raise2        M Raise
+                               M Move
+                               D Lower

DestroyFunc Resize-or-Raise
AddToFunc Resize-or-Raise       I Raise
+                               M Resize
+                               D Lower

DestroyFunc Resize-or-Raise2
AddToFunc Resize-or-Raise2      M Raise
+                               M Resize
+                               D Lower

DestroyFunc Shadify
AddToFunc Shadify               D WindowShade
+                               M Move
+                               C RaiseLower

DestroyFunc warp-or-run
AddToFunc warp-or-run           I Next [$0 CirculateHit] Iconify -1
+                               I Next [$0 CirculateHit] Focus
+                               I None [$0] $1

DestroyFunc MailFunction
AddToFunc MailFunction          I Next [$0] Iconify -1
+                               I Next [$0] focus
+                               I None [$0] Exec exec $0 $1

DestroyFunc PrintFunction
AddToFunc PrintFunction         I Raise
+                               I Exec exec xdpr -id $w

DestroyFunc Raise-All
AddToFunc Raise-All           I All Raise

##############################################################################
# User-defined functions
#

DestroyFunc PaVuControl
AddToFunc PaVuControl         I GotoDeskAndPage 0 1 1
+                             I Exec exec cgmem_nice 200 pavucontrol
+                             I Wait "Volume Control"

changequote([,])
DestroyFunc Id3Info
AddToFunc Id3Info             I Exec "$HOME"/lib/audio/mp3/id3info.py "`audtool --current-song-filename`" | text-wrap.py | gxmessage -buttons Ok -default Ok -fn 'MESSAGE_FONT' -file -
changequote([`], ['])

DestroyFunc AudioPlayer
AddToFunc AudioPlayer         I GotoDeskAndPage 0 1 1
+                             I Exec LC_CTYPE=ru_RU.KOI8-R exec cgmem_nice 200 audacious

DestroyFunc Term-Iskra
AddToFunc Term-Iskra          I GotoDeskAndPage 1 1 2
+                             I REMOTE_HOST_KOI8(REMOTE_SCREEN_KOI8(iskra-aviel.phdru.name), iskra)

DestroyFunc Term-Iskra-Big
AddToFunc Term-Iskra-Big      I GotoDeskAndPage 1 1 2
+                             I REMOTE_HOST_KOI8_BIG(iskra-aviel.phdru.name, ISKRA)

DestroyFunc Term-Oper
AddToFunc Term-Oper           I GotoDeskAndPage 1 1 2
+                             I REMOTE_HOST_KOI8_BOTRT(REMOTE_SCREEN_KOI8(oper.med.ru), oper)

DestroyFunc Term-Oper-Big
AddToFunc Term-Oper-Big       I GotoDeskAndPage 1 1 2
+                             I REMOTE_HOST_KOI8_BIG(oper.med.ru, OPER)

DestroyFunc Term-Phdru
AddToFunc Term-Phdru          I GotoDeskAndPage 1 0 1
+                             I REMOTE_HOST_KOI8(REMOTE_SCREEN_KOI8(phdru.name), phdru.name)

DestroyFunc Term-Phdru-Big
AddToFunc Term-Phdru-Big      I GotoDeskAndPage 1 0 1
+                             I REMOTE_HOST_KOI8_BIG(phdru.name, phdru.name)

DestroyFunc FireFox
AddToFunc FireFox             I Any ("*Mozilla Firefox") Break
+                             I GotoDeskAndPage 1 0 0
+                             I Exec LC_CTYPE=ru_RU.KOI8-R exec cgmem_nice 4000 start-browser firefox
+                             I Wait "*Mozilla Firefox"
+                             I Exec LC_CTYPE=ru_RU.KOI8-R exec cgmem_nice 4000 firefox --new-window
+                             I Wait "*Mozilla Firefox"
+                             I Next ("*Mozilla Firefox") Iconify true

DestroyFunc Gajim
AddToFunc Gajim               I GotoDeskAndPage 1 1 0
+                             I Exec exec cgmem_nice 300 gajim

DestroyFunc Pidgin
AddToFunc Pidgin              I GotoDeskAndPage 1 1 0
+                             I Exec exec cgmem_nice 300 pidgin

DestroyFunc XFilename
AddToFunc XSetbgFilename      I Exec "$HOME"/current/projects/xsetbg/print-filename.py | text-wrap.py -w TEXT_WIDTH -s | gxmessage -buttons Ok -default Ok -fn 'MESSAGE_FONT' -file -

##############################################################################
# MENU Setup
#

# This defines the most common window operations
AddToMenu Window-Ops    "Window Ops"    Title
+                       "Center"        Center
+                       "Move"          Move-or-Raise2
+                       "Resize"        Resize-or-Raise2
+                       "Raise"         Raise
+                       "Lower"         Lower
+                       "(De)Iconify"   Iconify
+                       "(Un)Stick"     Stick
+                       "(Un)Maximize"  maximize_func
+                       ""              Nop
+                       "Delete"        Delete
+                       "Close"         Close
+                       "Destroy"       Destroy
+                       ""              Nop
+                       "Refresh Screen" Refresh

# A trimmed down version of "Window Ops", good for binding to decorations
DestroyMenu Window-Ops2
AddToMenu Window-Ops2   "Center"        Center
+                       "Move"          Move-or-Raise
+                       "Iconify"       Iconify
+                       "(Un)Stick"     Stick
+                       "Refresh"       RefreshWindow
+                       ""              Nop
+                       "Close"         Close
+                       "Delete"        Delete
+                       "Destroy"       Destroy
+                       ""              Nop
+                       "Resize"        Resize-or-Raise
+                       "Shade"         WindowShade
+                       "Raise/Lower"   RaiseLower
+                       ""              Nop
+                       "ScrollBar"     Module FvwmScroll 2 2
+                       "Print"         PrintFunction

AddToMenu Terminals     "Terminals" Title
+               "Grey term (koi8)" TERM_KOI8
+               "Grey term (utf8)" TERM_RU_UTF8
+               "Grey term (heb-utf8)" TERM_HEB_UTF8
+               "Grey term (koi8,btlt)" TERM_KOI8_BOTLT
+               "Grey term (koi8,btrt)" TERM_KOI8_BOTRT
+               "Grey term (utf8,btlt)" TERM_RU_UTF8_BOTLT
+               "Grey term (utf8,btrt)" TERM_RU_UTF8_BOTRT
+               "Big grey term (koi8)" TERM_KOI8 -geometry TERM_GEOM_BIG
+               "Big grey term (utf8)" TERM_RU_UTF8 -geometry TERM_GEOM_BIG
+                       ""      Nop
+               "White/black term (koi8)" TERM_KOI8 -fg white -cr white -bg black
+               "White/black term (utf8)" TERM_RU_UTF8 -fg white -bg black

AddToMenu TermColors    "Term Colors" Title
+                       "Term: black/mediumturquoise" TERM_KOI8 -fg black -cr black -bg mediumturquoise
+                       "Term: black/lightseagreen" TERM_KOI8 -fg black -cr black -bg lightseagreen
+                       ""      Nop
+                       "Term: black/lightsteelblue" TERM_KOI8 -fg black -cr black -bg lightsteelblue
+                       "Term: black/lightblue3" TERM_KOI8 -fg black -cr black -bg lightblue3
+                       ""      Nop
+                       "Term: black/lightgoldenrod" TERM_KOI8 -fg black -cr black -bg lightgoldenrod
+                       "Term: black/rosybrown1" TERM_KOI8 -fg black -cr black -bg rosybrown1
+                       "Term: black/pink1" TERM_KOI8 -fg black -cr black -bg pink1
+                       ""      Nop
+                       "Term: white/orchid4" TERM_KOI8 -fg white -cr white -bg orchid4
+                       "Term: white/purple3" TERM_KOI8 -fg white -cr white -bg purple3
+                       "Term: white/purple4" TERM_KOI8 -fg white -cr white -bg purple4
+                       ""      Nop
+                       "Term: white/lightslategrey" TERM_KOI8 -fg white -cr white -bg lightslategrey
+                       "Term: white/navyblue" TERM_KOI8 -fg white -cr white -bg navyblue
+                       "Term: white/mediumblue" TERM_KOI8 -fg white -cr white -bg mediumblue
+                       "Term: white/steelblue" TERM_KOI8 -fg white -cr white -bg steelblue
+                       ""      Nop
+                       "Term: white/forestgreen" TERM_KOI8 -fg white -cr white -bg forestgreen
+                       "Term: white/rosybrown" TERM_KOI8 -fg white -cr white -bg rosybrown
+                       "Term: white/deeppink" TERM_KOI8 -fg white -cr white -bg deeppink
+                       "Term: white/black" TERM_KOI8 -fg white -cr white -bg black

AddToMenu Systems       "Systems" Title
+                       REMOTE_HOST_KOI8_MENU(REMOTE_SCREEN_KOI8(iskra-aviel.phdru.name), iskra)
+                       REMOTE_HOST_UTF8_BOTLT_MENU(iskra-aviel.phdru.name, iskra)
+                       REMOTE_HOST_KOI8_BIG_MENU(iskra-aviel.phdru.name, ISKRA)
+                       ""        Nop
+                       REMOTE_HOST_KOI8_BOTRT_MENU(REMOTE_SCREEN_KOI8(oper.med.ru), oper)
+                       REMOTE_HOST_UTF8_BOTRT_MENU(oper.med.ru, oper)
+                       REMOTE_HOST_KOI8_BIG_MENU(oper.med.ru, OPER)
+                       ""        Nop
+                       REMOTE_HOST_KOI8_MENU(REMOTE_SCREEN_KOI8(phdru.name), phdru)
+                       REMOTE_HOST_UTF8_BOTLT_MENU(phdru.name, phdru)
+                       REMOTE_HOST_KOI8_BIG_MENU(phdru.name, PHDRU)

AddToMenu FvwmCommands  "Fvwm Commands" Title
+                       "Restart" Restart
+                       "Raise all" Raise-All
#+                       "Restart Fvwm2" Restart fvwm2
#+                       "Start Fvwm"    Restart fvwm
+                       "Fvwm Setup"    Popup FvwmSetup
+                       "Fvwm Modules"  Popup FvwmModules
+                       "" Nop
+                       "Exit Fvwm"     Quit

AddToMenu FvwmSetup     "Fvwm Setup" Title
+                       "Start standard session" StartStandardSession
+                       "Change Scrolling"      Popup FvwmScroll

AddToMenu FvwmScroll    "Change Scroll Behavior" Title
+                       "OFF"   EdgeScroll 0 0
+                       "ON"    EdgeScroll 100 100
+                       "Horizontal Only"       EdgeScroll 100 0
+                       "Vertical Only"         EdgeScroll 0 100
+                       "Partial"               EdgeScroll 50 50

AddToMenu FvwmModules   "Fvwm Modules" Title
+                       "Animate"      Module FvwmAnimate
+                       "Auto"         Module FvwmAuto
+                       "Backer"       Module FvwmBacker
+                       "Banner"       Module FvwmBanner
+                       "Buttons"      Module FvwmButtons
+                       "Cascade"      Module FvwmCascade
+                       "CommandS"     Module FvwmCommandS
+                       "Console"      Module FvwmConsole
+                       "ConsoleC"     Module FvwmConsoleC -e FvwmConsoleC.pl
+                       "Cpp"          Module FvwmCpp
+                       "Debug"        Module FvwmDebug
+                       "DragWell"     Module FvwmDragWell
+                       "Event"        Module FvwmEvent
+                       "Form"         Module FvwmForm
+                       "Gtk"          Module FvwmGtk
+                       "IconBox"      Module FvwmIconBox
+                       "IconMan"      Module FvwmIconMan
+                       "Ident"        Module FvwmIdent
+                       "M4"           Module FvwmM4
+                       "Pager"        Module FvwmPager 0 2
+                       "Rearrange"    Module FvwmRearrange
+                       "Save"         Module FvwmSave
+                       "SaveDesk"     Module FvwmSaveDesk
+                       "Script"       Module FvwmScript
+                       "Scroll"       Module FvwmScroll
+                       "TaskBar"      Module FvwmTaskBar
+                       "Theme"        Module FvwmTheme
+                       "Tile"         Module FvwmTile
+                       "Wharf"        Module FvwmWharf
+                       "WinList"      Module FvwmWinList

# This is the root menu
AddToMenu RootMenu "Root Menu"  Title
+               "Terminals"     Popup Terminals
#+               "Color term"    Popup TermColors
+               "Systems"       Popup Systems
+               ""              Nop
+               "Browsers"      Popup Browsers
+               "Utilities"     Popup Utilities
#+               ""              Nop
#+               "Lock Screen"   Popup XlockMenu
+               "XScreenSaver"  Popup XScreenSaverMenu
#+               "Tv-tuner"      Popup Tv-tuner
+               ""              Nop
+               "XSetBg"        Popup XSetBgMenu
+               "Fvwm Commands" Popup FvwmCommands

# This menu will fire up some often used programs
DestroyMenu  Utilities
AddToMenu Utilities     "Choose one:" Title
+                       "qPDFview" Exec LC_CTYPE=ru_RU.KOI8-R exec qpdfview
+                       "FBReader" Exec LC_CTYPE=ru_RU.KOI8-R exec fbreader
+                       ""       Nop
+                       "GVim (koi8)" Exec LC_CTYPE=ru_RU.KOI8-R exec gvim
+                       "GVim (utf8)" Exec LC_CTYPE=ru_RU.UTF-8  exec gvim
+                       ""       Nop
#+                       "XFortune" Exec /usr/games/fortune | gxmessage -buttons Ok -default Ok -fn 'MESSAGE_FONT' -file -
#+                       "xbuffy" Exec exec xbuffy -fn 'XBUFFY_FONT' -geometry +0+125 -boxfile mail/misc/.xbuffyrc
#+                       ""       Nop
+                       "pavucontrol" PaVuControl
+                       "AudioPlayer" AudioPlayer
+                       "Id3Info"     Id3Info
+                       ""       Nop
+                       "Gajim"       Gajim
+                       "Pidgin"      Pidgin
+                       ""       Nop
+                       "xload"  Exec exec xload -geometry =136x136+0+0
+                       "Top"    TERM_KOI8 -T Top -n Top -e top
+                       ""       Nop
+                       "Refresh Screen" Refresh
+                       "xrefresh" Exec exec xrefresh
+                       ""       Nop
#+                       "xcalc" Exec exec xcalc
+                       "xclipboard" Exec exec xclipboard
+                       "xcutsel" Exec exec xcutsel
#+                       "xman" Exec exec xman -notopbox -geometry +150+102
#+                       "emacs" Exec emacs -geometry 81x35+150+34
#+                       "xv" Function warp-or-run xv "Exec exec xv -ncols 240 -geometry +0+0"

DestroyMenu  Browsers
AddToMenu Browsers      "Choose one:" Title
+                       "FireFox" FireFox
+                       "Chromium" None ("*Chromium") Exec LC_CTYPE=ru_RU.KOI8-R exec cgmem_nice 2000 start-browser chromium
+                       "Opera" None ("*Opera") Exec LC_CTYPE=ru_RU.KOI8-R exec cgmem_nice 2000 start-browser opera

# A wide variety of screenlocking options...
#AddToMenu XlockMenu     "Choose one:" Title
#+                       "Hop" Exec exec xlock -mode hop
#+                       "Image" Exec exec xlock -mode image
#+                       "Life" Exec exec xlock -mode life
#+                       "Flame" Exec exec xlock -mode flame
#+                       "Pyro" Exec exec xlock -mode pyro
#+                       "Qix" Exec exec xlock -mode qix
#+                       "Rotor" Exec exec xlock -mode rotor
#+                       "Swarm" Exec exec xlock -mode swarm
#+                       "" Nop
#+                       "Random" Exec exec xlock -mode random
#+                       "Blank" Exec exec xlock -mode blank

AddToMenu XScreenSaverMenu     "Choose mode:" Title
+                       "Blank Screen Now" Exec exec xscreensaver-command -activate
+                       "Lock Screen Now"  Exec exec xscreensaver-command -lock
+                       "Screen Saver Demo" Exec exec xscreensaver-command -demo
+                       "Screen Saver Preferences"  Exec exec xscreensaver-command -prefs
+                       "Reinitialize Screen Saver" Exec exec xscreensaver-command -restart
+                       "" Nop
+                       "Kill Screen Saver"         Exec exec xscreensaver-command -exit
+                       "Launch Screen Saver"       Exec exec xscreensaver

AddToMenu XSetBgMenu    "XSetBg" Title
+                       "Change wallpaper" Exec exec "$HOME"/current/projects/xsetbg/xsetbg-force
+                       "Start" Exec exec cgmem_nice 100 "$HOME"/current/projects/xsetbg/xsetbg-http-start
+                       "Stop" Exec exec "$HOME"/current/projects/xsetbg/xsetbg-http-stop
+                       "Restart" Exec exec "$HOME"/current/projects/xsetbg/xsetbg-http-restart
+                       ""       Nop
changequote([,])
+                       "Xli" Exec fn="`$HOME/current/projects/xsetbg/print-filename.py -e koi8-r`" && exec xli -title "`echo $fn | sed 's/ /_/g'`" "$fn"
+                       "Xli (scaled)" Exec fn="`$HOME/current/projects/xsetbg/print-filename.py -e koi8-r`" && exec xli -title "`echo $fn | sed 's/ /_/g'`" -zoom auto "$fn"
+                       "Open in browser" Exec exec webbrowserX -n "`$HOME/current/projects/xsetbg/print-filename.py -e koi8-r`"
+                       "Filename" Exec exec "$HOME"/current/projects/xsetbg/print-filename.py -e koi8-r
+                       "XFilename" Exec "$HOME"/current/projects/xsetbg/print-filename.py | text-wrap.py | gxmessage -buttons Ok -default Ok -fn 'MESSAGE_FONT' -file -
+                       "XFilename (wrapped)" XSetbgFilename
+                       ""       Nop
+                       "Xli (prev.)" Exec fn="`$HOME/current/projects/xsetbg/print-filename.py -e koi8-r 1`" && exec xli -title "`echo $fn | sed 's/ /_/g'`" "$fn"
+                       "Xli (prev., scaled)" Exec fn="`$HOME/current/projects/xsetbg/print-filename.py -e koi8-r 1`" && exec xli -title "`echo $fn | sed 's/ /_/g'`" -zoom auto "$fn"
+                       "Open in browser (prev.)" Exec exec webbrowserX -n "`$HOME/current/projects/xsetbg/print-filename.py -e koi8-r 1`"
changequote([`], ['])
+                       "Filename (prev.)" Exec exec "$HOME"/current/projects/xsetbg/print-filename.py -e koi8-r 1
+                       "XFilename (prev.)" Exec "$HOME"/current/projects/xsetbg/print-filename.py 1 | text-wrap.py | gxmessage -buttons Ok -default Ok -fn 'MESSAGE_FONT' -file -
+                       "XFilename (prev., wrapped)" Exec "$HOME"/current/projects/xsetbg/print-filename.py 1 | text-wrap.py -w TEXT_WIDTH -s | gxmessage -buttons Ok -default Ok -fn 'MESSAGE_FONT' -file -

############################################################################
# FvwmBacker
#
#*FvwmBacker: Command (Desk 0, Page * *) -solid DarkCyan
#*FvwmBacker: Command (Desk 1, Page * *) -solid steelblue
#*FvwmBacker: Command (Desk 2, Page * *) -solid midnightblue
*FvwmBacker: Command (Desk *, Page * *) Exec exec "$HOME"/current/projects/xsetbg/xsetbg-http-change

############################################################################
# FvwmButtons
#
# Colors
*FvwmButtons: Fore Black
*FvwmButtons: Back rgb:90/80/90

# Font
*FvwmButtons: Font BUTTONS_FONT

# Geometry-- really likes to pick its own size, but giving a position is OK
*FvwmButtons: Geometry -1+1

# Layout: specify rows or columns, not both
*FvwmButtons: Rows 2 #, Columns 5

# Transparent background
#*FvwmButtons: Pixmap none
# Background
#*FvwmButtons: Pixmap fvwm.xpm

# Define the buttons to use.....
#*FvwmButtons: Move              arrows2.xpm     Move
#*FvwmButtons: Kill              skull.xpm       Destroy
#*FvwmButtons: Quit              nuke.xpm        Popup "Quit-Verify"

#*FvwmButtons: (Swallow XClock 'Exec exec xclock -update 1 -geometry -3000-3000')

# Buttons
pushdef(`TERM_KOI8', `Exec "TERM" LC_CTYPE=ru_RU.KOI8-R exec TERM')
pushdef(`TERM_RU_UTF8', `Exec "URxvt" LC_CTYPE=ru_RU.UTF-8 exec TERM -name URxvt')
*FvwmButtons: (Title Term,     Icon rterm2.xpm,      Action TERM_KOI8)
*FvwmButtons: (Title UTF-8,    Icon rterm2.xpm,      Action TERM_RU_UTF8)
*FvwmButtons: (Title phdru,    Icon xterm-sgi.xpm,   Action REMOTE_HOST_KOI8(REMOTE_SCREEN_KOI8(-D 1080 phdru.name), phdru.name))
*FvwmButtons: (Title iskra,    Icon xterm-sgi.xpm,   Action REMOTE_HOST_KOI8(REMOTE_SCREEN_KOI8(iskra-aviel.phdru.name), iskra))
*FvwmButtons: (Title oper,     Icon xterm-linux.xpm, Action REMOTE_HOST_KOI8_BOTRT(REMOTE_SCREEN_KOI8(oper.med.ru), oper))
popdef(`TERM_KOI8', `TERM_RU_UTF8')

*FvwmButtons: (Title Wallpaper, Icon find1.xpm,        Action Exec "gxmessage" "$HOME"/current/projects/xsetbg/print-filename.py | text-wrap.py -w TEXT_WIDTH -s | gxmessage -buttons Ok -default Ok -fn 'MESSAGE_FONT' -file -)
*FvwmButtons: (Title "-1",      Icon find1.xpm,        Action Exec "gxmessage" "$HOME"/current/projects/xsetbg/print-filename.py 1 | text-wrap.py -w TEXT_WIDTH -s | gxmessage -buttons Ok -default Ok -fn 'MESSAGE_FONT' -file -)
*FvwmButtons: (Title Next,      Icon Jrecycle.xpm,     Action Exec exec "$HOME"/current/projects/xsetbg/xsetbg-http-force)
*FvwmButtons: (Title pavucontrol, Icon mini.sound.xpm, Action Exec "Volume Control" exec cgmem_nice 200 pavucontrol)
#*FvwmButtons: (Title Id3Info,  Icon bell.xpm,         Action Id3Info)
*FvwmButtons: (Title AudioPlayer,  Icon bell.xpm,      Action Exec "Audacious" LC_CTYPE=ru_RU.KOI8-R exec cgmem_nice 200 audacious)
#*FvwmButtons: (Title XLock,     Icon Jxlock.xpm,      Action Exec exec xscreensaver-command -lock)

############################################################################
# FvwmForm
#
# FvwmForm alias - rlogin to host via term
#FvwmForm Rlogin
#*Rlogin: WarpPointer
#*Rlogin: Font         *helvetica*m*r*n*14*
#*Rlogin: ButtonFont   *helvetica*m*o*n*14*
#*Rlogin: InputFont    *cour*m*r*n*14*
#*Rlogin: Fore         Black
#*Rlogin: Back         Light Gray
#*Rlogin: ItemFore          Wheat
#*Rlogin: ItemBack          Gray50
## begin items
#*Rlogin: Line         center
#*Rlogin: Text         "Login to Remote Host"
#*Rlogin: Line         center
#*Rlogin: Text         "Host:"
#*Rlogin: Input        HostName  20   ""
#*Rlogin: Line         center
#*Rlogin: Selection    UserSel   single
#*Rlogin: Choice       Default   Default   on   "same user"
#*Rlogin: Choice       Custom    Custom    off  "user:"
#*Rlogin: Input        UserName  10   ""
#*Rlogin: Line         expand
#*Rlogin: Button       quit "Login" ^M
#*Rlogin: Command      TERM_KOI8 -T term@$(HostName) -e rlogin $(HostName) $(Custom?-l $(UserName))
#*Rlogin: Button       restart   "Clear"
#*Rlogin: Command Beep
#*Rlogin: Button       quit "Cancel"
#*Rlogin: Command Nop
##
## FvwmForm alias - query exit ala mwm
#FvwmForm QuitVerify
#*QuitVerify: GrabServer
#*QuitVerify: WarpPointer
#*QuitVerify: Font          *helvetica*m*r*n*14*
##*QuitVerify: ButtonFont    *helvetica*m*o*n*14*
#*QuitVerify: ButtonFont    7x13bold
#*QuitVerify: Fore          Black
#*QuitVerify: Back          Light Gray
#*QuitVerify: ItemFore Wheat
#*QuitVerify: ItemBack Gray50
## begin items
#*QuitVerify: Line          center
#*QuitVerify: Text          "Do you really want to exit FVWM?"
#*QuitVerify: Line          expand
#*QuitVerify: Button   quit      " Exit "
#*QuitVerify: Command  Quit
#*QuitVerify: Button   quit      "Cancel"
#*QuitVerify: Command  Nop
#
##
## MyTalk & MyFvwmTalk from Dave Goldberg
## MyTalk Form - dissappears after use
#FvwmForm MyTalk
#*MyTalk: WarpPointer
#*MyTalk: Font *helvetica*m*r*n*14*
#*MyTalk: ButtonFont *helvetica*m*o*n*14*
#*MyTalk: InputFont *cour*m*r*n*14*
#*MyTalk: Fore Red
#*MyTalk: Back Gray
#*MyTalk: ItemFore Blue
#*MyTalk: ItemBack Gray
#*MyTalk: Line center
#*MyTalk: Text "Fvwm Function"
#*MyTalk: Input Func 40 ""
#*MyTalk: Line expand
#*MyTalk: Button quit "Run" ^M
#*MyTalk: Command $(Func)
#*MyTalk: Button restart "Clear" ^R
#*MyTalk: Button quit "Cancel" ^C
#*MyTalk: Command Nop
##
## MyFvwmTalk Form - sticks around
#FvwmForm MyFvwmTalk
#*MyFvwmTalk: WarpPointer
#*MyFvwmTalk: Font *helvetica*m*r*n*14*
#*MyFvwmTalk: ButtonFont *helvetica*m*o*n*14*
#*MyFvwmTalk: InputFont *cour*m*r*n*14*
#*MyFvwmTalk: Fore Red
#*MyFvwmTalk: Back Gray
#*MyFvwmTalk: ItemFore Blue
#*MyFvwmTalk: ItemBack Gray
#*MyFvwmTalk: Line center
#*MyFvwmTalk: Text "Fvwm Function"
#*MyFvwmTalk: Input Func 40 ""
#*MyFvwmTalk: Line expand
#*MyFvwmTalk: Button restart "Run" ^M
#*MyFvwmTalk: Command $(Func)
#*MyFvwmTalk: Button restart "Clear" ^R
#*MyFvwmTalk: Command Nop
#*MyFvwmTalk: Button restart "Iconify" ^Z
#*MyFvwmTalk: Command Next [MyFvwmTalk] Iconify
#*MyFvwmTalk: Button quit "Quit" ^C
#*MyFvwmTalk: Command Nop

############################################################################
# FvwmIconBox
#
# NOTE: Icons will only be shown in module if "Style * !Icon" is set
*FvwmIconBox: IconBack    #cfcfcf
*FvwmIconBox: IconHiFore  black
*FvwmIconBox: IconHiBack  LightSkyBlue
*FvwmIconBox: Back        #5f9ea0
#*FvwmIconBox: Fore       blue
*FvwmIconBox: Geometry    5x1+0+0
*FvwmIconBox: MaxIconSize 64x38
*FvwmIconBox: Font        ICON_BOX_FONT
*FvwmIconBox: SortIcons   IconName
*FvwmIconBox: Padding     4
*FvwmIconBox: Lines       10
*FvwmIconBox: SBWidth     11
*FvwmIconBox: Placement   Left Top
*FvwmIconBox: Pixmap      fvwm.xpm
#*FvwmIconBox: HideSC Horizontal
*FvwmIconBox: SetWMIconSize
*FvwmIconBox: HilightFocusWin
#*FvwmIconBox: Resolution          Desk
*FvwmIconBox: Mouse       1       Click           RaiseLower
*FvwmIconBox: Mouse       1       DoubleClick     Iconify
*FvwmIconBox: Mouse       2       Click           Iconify -1, Focus
*FvwmIconBox: Mouse       3       Click           Module FvwmIdent
*FvwmIconBox: Key         r       RaiseLower
*FvwmIconBox: Key         space   Iconify
*FvwmIconBox: Key         d       Close
*FvwmIconBox: Key         n       Next
*FvwmIconBox: Key         p       Prev
*FvwmIconBox: Key         h       Left
*FvwmIconBox: Key         j       Down
*FvwmIconBox: Key         k       Up
*FvwmIconBox: Key         l       Right

############################################################################
# FvwmIdent
#
# Give us colors and a fonts
*FvwmIdent: Back MidnightBlue
*FvwmIdent: Fore Yellow
*FvwmIdent: Font IDENT_FONT

############################################################################
# FvwmPager
#
*FvwmPager: Back #908090
*FvwmPager: Fore #484048
*FvwmPager: Font TITLE_FONT
*FvwmPager: Hilight #cab3ca
*FvwmPager: Geometry PAGER_GEOM
*FvwmPager: Label 0 System
*FvwmPager: Label 1 Net
*FvwmPager: Label 2 Work
*FvwmPager: SmallFont SMALL_PAGER_FONT

*FvwmPager: Balloons All
*FvwmPager: BalloonBack #efe3b5
*FvwmPager: BalloonFore Black
*FvwmPager: BalloonFont ICON_FONT
*FvwmPager: BalloonYOffset +2
*FvwmPager: BalloonBorderWidth 1
*FvwmPager: BalloonBorderColor Black

############################################################################
# FvwmScroll
#
*FvwmScroll: Back grey40
*FvwmScroll: Fore green

############################################################################
# FvwmWinList
#
*FvwmWinList: Back #908090
*FvwmWinList: Fore Black
*FvwmWinList: Font WIN_LIST_FONT
*FvwmWinList: Action Click1 Iconify -1, Focus
*FvwmWinList: Action Click2 Iconify
*FvwmWinList: Action Click3 Module "FvwmIdent: " FvwmIdent
*FvwmWinList: UseSkipList
*FvwmWinList: Geometry +10-10
