if exists("did_load_filetypes")
   finish
endif

augroup filetypedetect
   " Text files
   autocmd BufNewFile,BufReadPost *.txt,*README* setlocal filetype=text

   " Files from textern
   autocmd BufReadPost /tmp/textern*/*.txt setlocal textwidth=0
   autocmd BufReadPost /tmp/textern*/stackoverflow.com*.txt Code

   " Cheetah templates
   autocmd BufNewFile,BufReadPost *.tmpl setlocal filetype=htmlcheetah

   " Pascal files with case-insensitive extensions
   autocmd BufReadPost *.PAS setlocal filetype=pascal

   " Play list
   autocmd BufReadPost *.m3u,*.M3U setlocal filetype=playlist

   " Python files sometimes are recognized as conf
   autocmd BufReadPost *.py setlocal filetype=python
   " Python Templates (Quixote) are Python files
   autocmd BufNewFile,BufReadPost *.ptl setlocal filetype=python
   " Python Embedded are mason-like python templates
   autocmd BufNewFile,BufReadPost *.pyem setlocal filetype=python.mason.html

   " ssh files
   autocmd BufReadPost known_hosts setlocal filetype=ssh
   autocmd BufReadPost authorized_keys setlocal filetype=ssh

   " Set mapping for CVS/Subversion/Mercurial/git commit files
   autocmd BufReadPost /tmp/cvs* setlocal filetype=cvscommit
   autocmd BufReadPost svn-commit.tmp*,svn-commit.*.tmp* setlocal filetype=svncommit
   autocmd BufReadPost /tmp/hg-editor-*.txt setlocal filetype=hgcommit
   autocmd BufReadPost .git/*MSG setlocal filetype=gitcommit
augroup END
